Package org.eclipse.emf.cdo.workspace

## Interface CDOWorkspaceBase

- All Superinterfaces:
    `CDORevisionProvider`
  All Known Subinterfaces:
    `CDOWorkspaceBase2`, `InternalCDOWorkspaceBase`

      public interface CDOWorkspaceBase
      extends CDORevisionProvider

  Represents the local state of a `workspace` directly after the initial `checkout` operation or any subsequent `update` and `replace` operations.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<CDOID>` | `getIDs()` |
    `CDOWorkspace` | `getWorkspace()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

- - ### Method Detail

    - #### getWorkspace

          CDOWorkspace getWorkspace()

    - #### getIDs

          java.util.Set<CDOID> getIDs()